which version itunes to connect iphone 4

Discussion in 'iPhone Tips, Help and Troubleshooting' started by Grunthaner, Mar 7, 2013.

  1. Grunthaner macrumors member

    Joined:
    Oct 5, 2009
    #1
    Hi Everyone,
    I have an iMac PPC version running 10.4.11 and I cannot connect my iphone 3gs or itouch 3gen to itunes. If I upgrade to Tiger 10.5 will I be able to upgrade itunes so my phone can connect and backup?

    What is the last version itunes to run on 10.5 PPC? I bought a preloved iPhone 4 arriving today that I would also like to connect am I hoping for too much?
    Thanks Linda
     
  2. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #2
    Just to clear things up, you are on Tiger right now. 10.4. Leopard is 10.5, Snow Leopard 10.6, Lion 10.7 and Mountain Lion 10.8.

    Anyway, the last version of iTunes that Leopard (10.5) is capable of using is 10.6.3. The iPhone 4 and 4S will work just fine (and the 3GS as well) with 10.6.x.

    If you ever upgrade to an iPhone 5 though, it's Intel Mac time if you want to sync your Mac with an i5.
     
  3. Grunthaner thread starter macrumors member

    Joined:
    Oct 5, 2009
    #3
    Hi Eric, I called Verizon today before I could get back to check your answer and they called Apple and they said I need an Intel Mac to connect my phone through iTunes. Perhaps I am not understanding this correctly?

    I have Tiger 10.4 if I upgrade to Leopard 10.5 I can download the version of iTunes so my iPhone will connect?

    Thanks again,
    Linda


     

Share This Page